Package com.sas.lsaf.workflow.processflow.setup

## Enum NotificationTaskSetup.MessagePriority

- java.lang.Object
- - java.lang.Enum<NotificationTaskSetup.MessagePriority>
  - - com.sas.lsaf.workflow.processflow.setup.NotificationTaskSetup.MessagePriority

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<NotificationTaskSetup.MessagePriority>`
  Enclosing class:
    NotificationTaskSetup

      public static enum NotificationTaskSetup.MessagePriority
      extends java.lang.Enum<NotificationTaskSetup.MessagePriority>

  The values for the priority of the message sent by the task.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `HIGH` | High priority.
    `LOW` | Low priority.
    `MEDIUM` | Medium priority.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static NotificationTaskSetup.MessagePriority` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static NotificationTaskSetup.MessagePriority[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HIGH

          public static final NotificationTaskSetup.MessagePriority HIGH

      High priority.

    - #### MEDIUM

          public static final NotificationTaskSetup.MessagePriority MEDIUM

      Medium priority.

    - #### LOW

          public static final NotificationTaskSetup.MessagePriority LOW

      Low priority.

  - ### Method Detail

    - #### values

          public static NotificationTaskSetup.MessagePriority[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NotificationTaskSetup.MessagePriority c : NotificationTaskSetup.MessagePriority.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NotificationTaskSetup.MessagePriority valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null